iTouch and R4i RTS has updated today

Discussion in 'M3 Adapter' started by Lilith Valentine, Mar 25, 2010.

  1. Lilith Valentine
    OP

    Lilith Valentine GBATemp's Wolfdog™ The saint of all the sinners

    Member
    18,339
    17,881
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    iTouch 3.8
    http://www.simplepluseasy.com/


    Firmware 3.8
    Changelog
    ==================================
    1.Solve the problem of adding the soft-rest function for Game 4765,4781,4786,4787,4788,4809,4810,4821
    2.Solve the problem of adding the RTS function for Game 4764,4768,4770,4781,4783,4786,4787,4788,4797,4807,4809,4810,4821
    3.Fix the compatibility of game 4603,4764,4768,4770,4781,4783,4786,4787,4788,4789,4797,4800,4807,4809,4810,4812,
    821
    (game tested up to 4821)



    R4i v2.7 kernel
    http://www.r4rts.com/
    I am assuming the latest changelog is the same.

    Expect The Quad-Boot to be updated soon

    As well as some messing around with this thread
     


  2. Goli

    Goli RPG

    Member
    2,571
    2
    Jul 16, 2008
    Cote d'Ivoire
    Let's see if WarioWare D.I.Y finally works now...
     
  3. Ninn

    Ninn GBAtemp Regular

    Member
    132
    4
    Dec 1, 2006
    alice in wonderland STILL Doesn't Work.

    I've Waited So Long, that stupid flower wont die [​IMG]
     
  4. ZeWarrior

    ZeWarrior TheWarrior

    Member
    2,810
    1
    Jul 2, 2007
    Brazil
    They're claiming to have fixed Pokemon on these updates too, anyone C/D?
     
  5. dsrules

    dsrules GBAtemp Psycho!

    Member
    3,587
    497
    Sep 20, 2005
    I don't know why they would still release the firmware if there are still problems with the Pokemon games and Wario DIY...
    oh well, maybe other people need to play the other games, too.

    by the way, has the M3Team defeated Xenon++'s R4irts patches? it won't work if you patch the new loader.eng to make g6dsload.eng
    there is also a new file loader.eng in iTouch
     
  6. Xenon++

    Xenon++ Taiju Yamada

    Member
    1,394
    2
    Dec 17, 2009
    Yes, I was struggling with this problem...
    When I patch iTouchDS, commercial nds goes into gba!

    #I don't know why this was OK though there is M3R_iTDS_PP2.
     
  7. Jakob95

    Jakob95 I am the Avatar

    Suspended
    4,344
    66
    Jan 15, 2009
    United States
    New York City
    Also have tried both the R4 RTS firmware won't boot up even. iTouch doesn't play games. I patched both of them.
     
  8. DeltaBurnt

    DeltaBurnt I'm bored

    Member
    3,353
    2
    Feb 21, 2009
    United States
    Where intellect matters
    That seems to happen to you everytime you try to manual patch.

    I think you're doing something wrong.
     
  9. Xenon++

    Xenon++ Taiju Yamada

    Member
    1,394
    2
    Dec 17, 2009
    R4iRTS updated to 2.7. Download from m3utils topic.

    Now I'm seeing iTouch/TouchPod(J), they are not working. TouchPod(J) requires different g6dsload.1?
     
  10. Jakob95

    Jakob95 I am the Avatar

    Suspended
    4,344
    66
    Jan 15, 2009
    United States
    New York City
    Will I be able to use that in M3 Kaura?
     
  11. Xenon++

    Xenon++ Taiju Yamada

    Member
    1,394
    2
    Dec 17, 2009
    just overwrite _system_ and *.nds
     
  12. Lilith Valentine
    OP

    Lilith Valentine GBATemp's Wolfdog™ The saint of all the sinners

    Member
    18,339
    17,881
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    I was able to patch all of these just fine, but as for testing, I need a little time, I am still working on something at the moment so I can update things faster later
     
  13. Jakob95

    Jakob95 I am the Avatar

    Suspended
    4,344
    66
    Jan 15, 2009
    United States
    New York City
    Can you upload your stuff for me? I can't seem to patch it correctly I don't understand.
     
  14. Lilith Valentine
    OP

    Lilith Valentine GBATemp's Wolfdog™ The saint of all the sinners

    Member
    18,339
    17,881
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    I will upload them in a bit, I am working on my computer at the moment, which is the reason it too me so long to get to work on this
     
  15. Jakob95

    Jakob95 I am the Avatar

    Suspended
    4,344
    66
    Jan 15, 2009
    United States
    New York City
    I got 2.7 to work, how can I get iTouch to work?
     
  16. Lilith Valentine
    OP

    Lilith Valentine GBATemp's Wolfdog™ The saint of all the sinners

    Member
    18,339
    17,881
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    Are you using these files?
    http://gbatemp.net/index.php?showtopic=211701
    It patched for me using those, but I haven't tested it yet on my M3. So I am not sure if it works, I was about to test them when I finished up.
     
  17. Jakob95

    Jakob95 I am the Avatar

    Suspended
    4,344
    66
    Jan 15, 2009
    United States
    New York City
    No those patching tools won't work anymore I have tried. You have to use this http://gbatemp.net/index.php?showtopic=212...t=0&start=0 .

    So anyone know if I could run iTouch now?
     
  18. Lilith Valentine
    OP

    Lilith Valentine GBATemp's Wolfdog™ The saint of all the sinners

    Member
    18,339
    17,881
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    Hmmm, strange, I would suggest the patching tool I uploaded, but i think it's the same as dsrules, but far simpler.
     
  19. Lilith Valentine
    OP

    Lilith Valentine GBATemp's Wolfdog™ The saint of all the sinners

    Member
    18,339
    17,881
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    Well guys I was able to update iTouch and run it just fine games and all. I will be uploading it in the latest Quad-Boot.
    Which will be updated with in the hour or so.
     
  20. Jakob95

    Jakob95 I am the Avatar

    Suspended
    4,344
    66
    Jan 15, 2009
    United States
    New York City
    HOW? It won't work for me.